0.9.2.0 Release

From OpenSimulator

Jump to: navigation, search


Contents

General

Welcome to OpenSimulator version 0.9.2.0 Yeti, an open-source multi-user 3D virtual environment and metaverse server platform.

OpenSimulator is a highly complex system. Various usage scenarios (standalone, grid, hypergrid, etc.) in combination with different dependencies (e.g. different versions of mono on Linux/Mac) can sometimes produce unexpected or unstable behaviour.

If you are upgrading from a previous version of OpenSimulator, then we strongly recommend that you start off with the default configuration files and port over any changes you made to your older version of OpenSimulator.


You can download this release of OpenSimulator from Download. Also see 0.9.1.1 Release Notes

Known Issues

Handling of region environment changed to a unified system.
Previous versions had LightShare and WindLight running side by side, each with own data store and communication protocols, occasionally with conflicting results.
New viewers introduce extended environment features, so 0.9.2.0 now uses an internal representation more suitable for those new features. This new representation is automatically converted to and from LightShare or Windlight as needed.
Region code will inform older viewers about parcels environment but not per altitude environment.

  • LightShare no longer has its own communications protocol. This was already obsolete, so no point in asking viewer developers to keep supporting it. As consequence of this, some viewers may no longer detect region side changes either done by other users or scripts. This also includes changes on entering or leaving a parcel with own environment. (Firestorm or Dayturn will see changes, singularity will not, for example). So LightShare is now a scripting feature only. It only supports its original subset of environment parameters. New replacement methods may be added in future, turning it definitely obsolete.

How the region environment will look on screen is still very dependent on the particular viewer model, version or graphics options and keeps changing, for the same set of parameters, But a major difference, that environment designers need to consider, is between viewers with the new features and previous versions versions with just Windlight.
Perfect conversion is of course not possible, and may give bad results.

  • New region environment should be created with the extended features editor, but tested with other viewers, in particular older versions, users may still use.
  • Asset 3a367d1c-bef1-6d43-7595-e88c1e3aadb3 must be checked if it is a true transparency texture, if not it must be replaced by the provided new one. Must also be removed from any retained current regions cache (at bin/assetcache/3a3)(or see console command fcache deletedefaultassets or even fcache cachedefaultassets) and viewers cache. Then make sure viewers login to an updated grid/region. The copy provided on previous versions was not a true transparency texture.
  • The default script engine is now YEngine. If you have problems with scripts, fix them. If you can not fix them then change opensim.ini default engine back to XEngine, set Enable to false on [YEngine] and Enable to true on [XEngine]. Unlike XEngine, YEngine does limit the use of stack and heap memories. You may need to change settings ScriptStackSize and/or ScriptHeapSize

Requirements

OpenSimulator 0.9.2.0 requires:

  • At least .NET Framework 4.6 when running under Windows.
  • At least Mono 5.x when running under Mono (Linux or Mac).

Due to database migration renumbering which occurred at release 0.9.0.0, if you are upgrading from a version of OpenSimulator prior to 0.8.2.1, then you MUST first upgrade to *0.8.2.1* and then proceed to upgrade directly to 0.9.2.0. See 0.9.0.0_Release#Pivot_Release:_0.8.2.1 for more advice.

.NET Framework 4.8 (and Visual Studio 2019/2022) experimental support is provided via runprebuild19.exe or runprebuild19.sh.

Changes and Fixes

  • Region environment handling changed to support new viewer features. (see issues above)
  • Altered mechanism for reading OSSL section of OpenSim.ini to use config-include/osslDefaultEnable.ini which then loads config-include/osslEnable.ini overrides. Also note the section name is now [OSSL]. Please change your OpenSim.ini and config-include/osslEnable.ini accordingly using the examples in OpenSim.ini.example and configo-nclude/osslEnable.ini.example.
  • Added new script functions for the new environment features and other funcionality osGetSitActiveRange, osGetLinkSitActiveRange, osGetStandTarget, osGetLinkStandTarget, osSetSitActiveRange, osSetLinkSitActiveRange, osSetStandTarget, osSetLinkStandTarget, ….( see OSSL Functions )
  • Removed outdated support for SimianGrid. Simian was a web/php alternative to Robust (https://code.google.com/archive/p/openmetaverse).
  • NPCs are now enabled by default and no longer count toward agent limit as they have their own limit now.
  • YEngine is now the default script engine
  • Some implicit script casting was changed, requiring explicit cast to avoid coding mistakes. Mainly this concerns casts for integer and floats. e.g. llAbs no longer allows floats, use llFabs instead.

Acknowledgements

Many, many thanks to all the developers (and their cats), testers and community members who contributed to this release and who help out with OpenSimulator generally. Your hard work makes this all possible.

Personal tools
General
About This Wiki